
QGIS Application - Bug report #185

values proj out of boundary

2006-07-10 04:24 AM - dbsint-gmail-com -

Status: Closed

Priority: Low

Assignee: Gavin Macaulay -

Category: Projection Support

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10244

Description

if there are values out of boundary (-180, +180) or on edge in the layer (+proj=longlat +ellps=WGS84 +datum=WGS84 +no_defs)

and this layer is shown in another projection (+proj=robin +lon_0=0 +x_0=0 +y_0=0 +ellps=clrk66 +datum=NAD27 +units=m +no_defs),

the result will be ...

http://img99.imageshack.us/img99/3414/qgis6as.gif

Dmitry.

History

#1 - 2006-11-16 07:40 PM - Gavin Macaulay -

- Status changed from Open to In Progress

#2 - 2006-12-15 02:49 PM - Gavin Macaulay -

- Resolution set to fixed

- Status changed from In Progress to Closed

The problem here is that projecting from the lat/longs in the mapinfo file to the other projection is not valid when longitudes are greater than 180 (or less

than -180). It's more of a problem with the proj4 library than qgis itself.

You can get around this by changing the +lon_0 paramater to be a bit further to the east. For example, setting it to 90 gives a projected map that looks

fine.

#3 - 2006-12-15 04:25 PM - Dmitry -

Thanks to help. I'm closing this bug.

Dmitry.

#4 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted

Files

data_mapinfo.zip 135 KB 2006-07-10 Dmitry -
